List receipts
Receipts in Lexware Office with the fields the automatic recognition filled in.
GET https://cotlet.dev/api/v1/lexware-office/receipts
read
Lists uploaded receipts with their status, contact, receipt number, date and amount as the automatic recognition read them. Use status to_check to see receipts that still wait for Beleg erfassen. Fields the recognition could not fill are returned as null.
Parameters
| Name | Type | Description |
|---|---|---|
| status enum | enum | to_check or all. Default: all. |
| from_date string | string | Earliest receipt date, YYYY-MM-DD. |
| limit integer | integer | 1 to 100. Default: 50. |
| cursor string | string | Next page cursor from the previous call. |
Request
curl https://cotlet.dev/api/v1/lexware-office/receipts \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("lexware-office", "list_receipts") const result = await cotlet.call('lexware-office', 'list_receipts'); cotlet call lexware-office list_receipts Example response
{
"receipts": [
{
"receipt_id": "r_21b8c0",
"file_name": "Hetzner-2026-10.pdf",
"status": "to_check",
"contact": "Hetzner Online GmbH",
"receipt_number": "R0023981",
"date": "2026-10-01",
"amount_gross": 24.99,
"currency": "EUR"
},
{
"receipt_id": "r_21b8c1",
"file_name": "scan-0417.pdf",
"status": "to_check",
"contact": null,
"receipt_number": null,
"date": "2026-10-09",
"amount_gross": null,
"currency": "EUR"
}
],
"next_cursor": null
}